## org.opencyc.api
Class CycConnection.TaskProcessorAsciiResponseHandler

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.opencyc.api.CycConnection.TaskProcessorAsciiResponseHandler

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  CycConnection

protected class CycConnection.TaskProcessorAsciiResponseHandler
extends java.lang.Thread

Class TaskProcessorAsciiResponseHandler handles responses from task-processor requests in ascii communication mode.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`CycConnection.TaskProcessorAsciiResponseHandler()` Constructs a TaskProcessorAsciiResponseHandler object.

Method Summary
`void` `run()` Blocks until the next task-processor response is available, then awakens the client thread that made the request.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CycConnection.TaskProcessorAsciiResponseHandler

    public CycConnection.TaskProcessorAsciiResponseHandler()

  Constructs a TaskProcessorAsciiResponseHandler object.

Method Detail

### run

    public void run()

  Blocks until the next task-processor response is available, then awakens the client thread that made the request.
  Overrides:
    `run` in class `java.lang.Thread`